#include <iostream>
using namespace std;


int main() {

	int n;
	cout << "n = ";
	cin >> n;

	float e = 0;
	int counter = 1;
	float fact = 1;

	while(counter <= n) {
		e += 1 / fact;
		fact *= counter++;
	}

	cout << "e = " << e << endl;

	return 0;

}
